Bug 737678 - Names truncated in Provider left-pane
Summary: Names truncated in Provider left-pane
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-09-12 21:04 UTC by Jeff Weiss
Modified: 2014-11-09 22:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
FF6
Last Closed: 2012-08-22 17:56:51 UTC


Attachments (Terms of Use)

Description Jeff Weiss 2011-09-12 21:04:03 UTC
Description of problem:


Version-Release number of selected component (if applicable):
katello-0.1.80-1.git.0.2f92504.fc14.noarch

How reproducible:
always

Steps to Reproduce:
1. Create a custom provider named "1234567890123456789012345678901234567890"
2. In the provider search bar, look for the name above. 
  
Actual results:
The 1 matching result is "12345678901234567890123456789012" which is the provider you just created, minus all chars after 32.

Expected results:
Full name is displayed in search result (with wrapping), or some indication of truncation like "..."

Additional info:

Comment 1 Jeff Weiss 2011-09-12 21:04:43 UTC
Sorry, correction:

2. In the provider left pane, look for the name above.

Comment 2 Jeff Weiss 2011-09-12 21:19:16 UTC
also occurs in other panes, for instance Orgs.

Comment 3 Partha Aji 2011-10-18 20:11:56 UTC
Partly fixed for all the left pane items. You'll now see an ellipsis for long names and see the full name when you hover over the item.

http://git.fedorahosted.org/git/?p=katello.git;a=commit;h=8b7d5bff18b0bccec82a88ab3037af5a4b56852a

Comment 4 Jeff Weiss 2011-10-24 15:07:51 UTC
Verified, katello-0.1.95-1.git.56.344ea38.el6.x86_64


Note You need to log in before you can comment on or make changes to this bug.